Posts tagged as:

dependency

Loading multiple Ruby Gems can result in runtime errors when an incompatible version of a gem dependency is already loaded as a dependency of another gem.

Gem bundler can also pre-load and cache gems for faster loading.

Having two gems that require different versions of the same dependency can sometimes cause runtime errors. Yehuda Katz and Carl Lerche have created an elegant solution in the Gem Bundler.
Download 108.8 MB
Download (iphone & ipod) 48.8 MB

{ 0 comments }